org.apache.cassandra.db.rows

## Class EncodingStats.Serializer

- java.lang.Object
- - org.apache.cassandra.db.rows.EncodingStats.Serializer

Enclosing class:
  EncodingStats

    public static class EncodingStats.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EncodingStats` `deserialize(DataInputPlus in)`
`void` `serialize(EncodingStats stats, DataOutputPlus out)`
`int` `serializedSize(EncodingStats stats)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(EncodingStats stats,
                          DataOutputPlus out)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public int serializedSize(EncodingStats stats)

#### deserialize

    public EncodingStats deserialize(DataInputPlus in)
                              throws java.io.IOException

Throws:
  `java.io.IOException`